<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Task 30.50 - Forgot Password</title>
</head>

<body>

    <div class="container">
        <form id="forgot-password-form">

            <div class="row d-flex align-items-center min-vh-100">
                <div class="col-sm-4 text-center mx-auto my-0 jumbotron">
                    <div class="mb-5">
                        <h3>Forgot Your Password ?</h3>
                        <h6> Enter your email address and we will sent your intructions to reset your password</h6>
                    </div>

                    <div>

                        <div class="form-group">
                            <input type="text" name="email" id="inp-email" placeholder="your email..."
                                class="form-control" value="">
                        </div>

                        <div class="form-group">
                            <button type="submit" id="btn-login"
                                class="btn btn-log btn-block btn-info">Continue</button>
                        </div>
                    </div>

                    <div class="text-center"><a href="#">Back to My App</a></div>
                </div>

        </form>
    </div>



</body>
<script>
    //REGION 1: khai báo toàn cục

    //REGION 2: Hàm khai báo sư kiện
    $(document).ready(function () {
        onPageLoading();
    });
    $("#forgot-password-form").on('submit', function (event) {
        event.preventDefault();
        onFormForgotSubmit();

    });
    //REGION 3: Hàm xử lý sự kiện
    function onPageLoading() {
        console.log("%c Tải trang...", "color:green");
    }
    function onFormForgotSubmit() {
        //b1: thu thập
        var vEmail = $("#inp-email").val();
        console.log(vEmail);//ghi thu coi lay dc ko
        var isValid = checkValidate(vEmail);

        if (isValid) {
            console.log(vEmail);
        }
    }
    //REGION 4: Hàm dùng chung
    function checkValidate(paramEmail) {
        var vEmail = $("#inp-email").val();
        var vValidRegex = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        //b2: kiem tra hop lệ
        if (vEmail.match(vValidRegex)) {
            return true;
        } else {
            alert("Nhập sai định dạng email");
            return false;
        }
    }

</script>

</html>